HELP2MAN(1)

BEZEICHNUNG
help2man - generiert eine einfache Handbuchseite

ÜBERSICHT
help2man [OPTION]... PROGRAMM

BESCHREIBUNG
»help2man« generiert aus der Ausgabe von »--help« und »--version« eine Handbuchseite.

-n, --name=ZEICHENKETTE
    Beschreibung für den BEZEICHNUNG-Abschnitt

-s, --section=ABSCHNITT
    Abschnittsnummer der Handbuchseite (1, 6, 8)

-m, --manual=TEXT
    Name des Handbuchs (Anwenderbefehle,…)

-S, --source=TEXT
    Quelle des Programms (FSF, Debian,…)

-L, --locale=ZEICHENKETTE
    Spracheinstellung (Vorgabe »C«)

-i, --include=DATEI
    Material aus »DATEI« einschließen

-I, --opt-include=DATEI
    Material aus »DATEI« einschließen, wenn es existiert

-o, --output=DATEI
    Ausgabe an »DATEI« senden

-p, --info-page=DATEI
    Name des Texinfo-Handbuchs

-N, --no-info
    Zeiger auf Texinfo-Handbuch unterdrücken

--help
    Diese Hilfe anzeigen, dann beenden

--version
    Versionsnummer anzeigen, dann beenden

PROGRAMM sollte »--help«- und »--version«-Optionen akzeptieren und eine Ausgabe auf der Standardausgabe (stdout) erzeugen, aber es können auch Alternativen angegeben werden:

-h, --help-option=ZEICHENKETTE
    Hilfeoptionzeichenkette

-v, --version-option=ZEICHENKETTE
    Versionsoptionzeichenkette

--version-string=ZEICHENKETTE
    Versionszeichenkette

--no-discard-stderr
    Standardfehlerausgabe (stderr) bei der Optionenanalyse einschließen

DATEIEN EINFÜGEN
Zusätzliches Material kann in die generierte Ausgabe mit den Optionen --include und --opt-include eingefügt werden. Das Format ist einfach:
    [Abschnitt]
    Text
    /Muster/
    Text Blöcke aus wörtlichem *roff-Text werden entweder beim Start durch Angabe von [Abschnitt] (unabhängig von Groß-/Kleinschreibung) in die Ausgabe eingefügt oder nach einem passenden Absatz nach /Muster/. Muster benutzen die Syntax von regulären Perl-Ausdrücken und können von i, s oder m Bestimmungswörtern gefolgt sein (siehe perlre(1)). Zeilen vor dem ersten Abschnitt oder Muster, die mit »-« beginnen, werden als Optionen behandelt. Alles andere wird stillschweigend ignoriert und könnte für Kommentare, RCS-Schlüsselwörter oder was Sie wollen benutzt werden. Die Reihenfolge der auszugebenden Abschnitte ist:
    BEZEICHNUNG
    ÜBERSICHT
    BESCHREIBUNG
    OPTIONEN
    UMGEBUNG
    DATEIEN
    BEISPIELE
    andere
    AUTOR
    FEHLER MELDEN
    COPYRIGHT
    SIEHE AUCH Jeder [NAME] oder [SYNOPSIS] -Abschnitt, der in der eingefügten Datei erscheint, wird das ersetzen, was automatisch generiert würde (obwohl Sie das weitere immer noch, wenn nötig, mit --name überschreiben können. Andere Abschnitte werden der automatisch erzeugten Ausgabe für die oben angegebenen Standardabschnitte vorangestellt oder unter andere (oben) in der Reihenfolge, in der sie in der eingefügten Datei vorgefunden werden, eingefügt. Die Textplatzierung innerhalb eines Abschnitts kann explizit mit der Syntax [<section], [=section] oder [>section] festgelegt werden, um zusätzlichen Text vor, anstelle von oder nach der vorgegebenen Platzierung einfügen zu lassen.

VERFÜGBARKEIT
Die neueste Version dieser Distribution ist online erhältlich von:
    ftp://ftp.gnu.org/gnu/help2man/

AUTOR
Geschrieben von Brendan O'Dea <bod@debian.org>

FEHLER MELDEN
Berichten Sie Fehler an <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017 Free Software Foundation, Inc.
Dies ist freie Software. Lesen Sie die Quellen, um Informationen zu den Bedingungen der Weitergabe zu erhalten. Es gibt KEINE Gewährleistung, auch nicht für die MARKTREIFE oder die EIGNUNG FÜR SPEZIELLE ZWECKE.

SIEHE AUCH
Die vollständige Dokumentation für help2man wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info und help2man auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info help2man-de

auf das vollständige Handbuch zugreifen.